Summary:        Prelude Hybrid Intrusion Detection System - Log Analyzer Sensor
Name:           prelude-lml
Version:        0.8.6
Release:        alt2
License:        GPL
Group:          Networking/Other
URL:            http://www.prelude-ids.org/
Source:		http://www.prelude-ids.org/download/releases/%name-%version.tar.gz
BuildRequires:  libprelude-devel
Requires:	libprelude >= 0.8.4
Requires:	libpcre libfam libssl

# Automatically added by buildreq on Wed Nov 05 2003
BuildRequires: flex gtk-doc libfam-devel libpcre-devel libprelude-devel-static libssl-devel

%description
The Prelude Log Monitoring Lackey (LML) is the host-based sensor
program part of the Prelude Hybrid IDS suite. It can act as a
centralized log collector for local or remote systems, or as a simple
log analyzer (such as swatch). It can run as a network server
listening on a syslog port or analyze log files. It supports logfiles
in the BSD syslog format and is able to analyze any logfile by using
the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when
a suspicious log entry is detected.

%description -l uk_UA.KOI8-U
 Prelude,   ŤæΦ , Ѥ  
 ҦΦ      Prelude Hybrid IDS.  
 Ħ  ̦  Ħ    ̦
( swatch)  Ťæ ̦   צ
Ԧ.         syslog
 ̦ ŤæΦ . դ Φ  Ħ
 BSD   ̦ -˦ ŤæΦ  
 ¦̦ PCRE.  צ Ѥ 
ƦΦ ̦ ( PAX) Ťæ ̦ 
צ Ǧ.  Φ ЦҦ Ӧ  
Prelude  צצ צ.

%description -l ru_RU.KOI8-R
 Prelude,    , 
         Prelude Hybrid
IDS.       
     ( swatch)  
   ̣ .     
     syslog  
 .    
 BSD       
  PCRE.    
  ( PAX)   
 .     
Prelude   .

%package devel
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version


%package devel-static
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version
Requires: %name-devel

%description devel
The Prelude Log Monitoring Lackey (LML) is the host-based sensor
program part of the Prelude Hybrid IDS suite.

This package contains headers files, requires for build own plugins
for Prelude LML.

Install this package if you want to build Prelude LML Plugins.

%description -l uk_UA.KOI8-U devel
 Prelude,   ŤæΦ , Ѥ  
 ҦΦ      Prelude Hybrid IDS.

  ͦ  ¦  ˦, ˦ ȦΦ 
  ǦΦ  Prelude LML.

צ  ,     Φ Ǧ 
Prelude LML.

%description -l ru_RU.KOI8-R devel
 Prelude,    , 
         Prelude Hybrid
IDS.

       
   Prelude LML.

  ,       
Prelude LML.

%description devel-static
The Prelude Log Monitoring Lackey (LML) is the host-based sensor
program part of the Prelude Hybrid IDS suite.  Install this package if
you want to build Prelude LML Plugins.

This package contains statically builded libraries for Prelude LML.

%description -l uk_UA.KOI8-U devel-static
 Prelude,   ŤæΦ , Ѥ  
 ҦΦ      Prelude Hybrid IDS.

  ͦ  ¦ Φ  ¦̦ Prelude LML.

%description -l ru_RU.KOI8-R devel-static
 Prelude,    , 
         Prelude Hybrid
IDS.

      Prelude LML.

%prep
%setup -q

%build
%configure \
	--localstatedir=%_var \
	--sysconfdir=%_sysconfdir/prelude \
	--prefix=%_usr \
	--enable-gtk-doc \
	--enable-fam
%make

%install
%make \
	DESTDIR=$RPM_BUILD_ROOT \
	install

%files
%doc AUTHORS ChangeLog README INSTALL
%_bindir/%name
%_libdir/%name/*.so
%config(noreplace) %_sysconfdir/prelude/%name/*

%files devel
%_includedir/%name/*.h

%files devel-static
%_libdir/%name/*.la

%changelog
* Thu Nov  6 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.6-alt2
- Minor fixes in dependencies

* Wed Nov  5 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.6-alt1
- New release

* Sun Oct 12 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.8.5-alt2
- Minor fixes in spec

* Wed Oct 08 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt1
- New release

* Sun May 18 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.3-alt1
- Initial build based on original spec-file

